org.apache.tomcat.util.compat

## Class TLS

- java.lang.Object
- - org.apache.tomcat.util.compat.TLS

- Deprecated.
  Unused. This will be removed in Tomcat 10.

      @Deprecated
      public class TLS
      extends Object

  This class checks for the availability of TLS features.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLS()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isTlsv13Available()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLS

          public TLS()

      Deprecated.

  - ### Method Detail

    - #### isTlsv13Available

          public static boolean isTlsv13Available()

      Deprecated.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.